Bug 1688823 - dnf tracebacks on invalid modular deps
Summary: dnf tracebacks on invalid modular deps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 14:26 UTC by Daniel Mach
Modified: 2020-11-14 10:31 UTC (History)
2 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:30 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:41 UTC

Comment 1 Jaroslav Mracek 2019-03-14 15:31:20 UTC
I create a patch that solves the issue (https://github.com/rpm-software-management/dnf/pull/1356). The function received unexpected format of error.

Comment 2 Jaroslav Mracek 2019-03-14 18:44:59 UTC
I created a test for the issue https://github.com/rpm-software-management/ci-dnf-stack/pull/522

Comment 9 errata-xmlrpc 2019-11-05 22:21:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.